/* eslint-disable max-len */
export enum TelemetryEvent {
  APPLICATION_UPDATED = 'APPLICATION_UPDATED',
  CONSENT_MENU_VIEWED = 'CONSENT_MENU_VIEWED',

  CONFIG_DATABASES_SINGLE_DATABASE_DELETE_CLICKED = 'CONFIG_DATABASES_SINGLE_DATABASE_DELETE_CLICKED',
  CONFIG_DATABASES_MULTIPLE_DATABASES_DELETE_CLICKED = 'CONFIG_DATABASES_MULTIPLE_DATABASES_DELETE_CLICKED',
  CONFIG_DATABASES_DATABASE_EDIT_CLICKED = 'CONFIG_DATABASES_DATABASE_EDIT_CLICKED',
  CONFIG_DATABASES_DATABASE_EDIT_CANCELLED_CLICKED = 'CONFIG_DATABASES_DATABASE_EDIT_CANCELLED_CLICKED',
  CONFIG_DATABASES_DATABASE_LIST_SORTED = 'CONFIG_DATABASES_DATABASE_LIST_SORTED',
  CONFIG_DATABASES_OPEN_DATABASE_BUTTON_CLICKED = 'CONFIG_DATABASES_OPEN_DATABASE_BUTTON_CLICKED',

  CONFIG_DATABASES_HOST_PORT_COPIED = 'CONFIG_DATABASES_HOST_PORT_COPIED',
  CONFIG_DATABASES_ADD_FORM_DISMISSED = 'CONFIG_DATABASES_ADD_FORM_DISMISSED',
  CONFIG_DATABASES_OPEN_DATABASE = 'CONFIG_DATABASES_OPEN_DATABASE',
  CONFIG_DATABASES_CLICKED = 'CONFIG_DATABASES_CLICKED',
  CONFIG_DATABASES_MANUALLY_SUBMITTED = 'CONFIG_DATABASES_MANUALLY_SUBMITTED',
  CONFIG_DATABASES_RE_CLUSTER_AUTODISCOVERY_SUBMITTED = 'CONFIG_DATABASES_RE_CLUSTER_AUTODISCOVERY_SUBMITTED',
  CONFIG_DATABASES_RE_CLUSTER_AUTODISCOVERY_CANCELLED = 'CONFIG_DATABASES_RE_CLUSTER_AUTODISCOVERY_CANCELLED',
  CONFIG_DATABASES_RE_CLOUD_AUTODISCOVERY_SUBMITTED = 'CONFIG_DATABASES_RE_CLOUD_AUTODISCOVERY_SUBMITTED',
  CONFIG_DATABASES_RE_CLOUD_AUTODISCOVERY_CANCELLED = 'CONFIG_DATABASES_RE_CLOUD_AUTODISCOVERY_CANCELLED',
  CONFIG_DATABASES_REDIS_SENTINEL_AUTODISCOVERY_SUBMITTED = 'CONFIG_DATABASES_REDIS_SENTINEL_AUTODISCOVERY_SUBMITTED',
  CONFIG_DATABASES_REDIS_SENTINEL_AUTODISCOVERY_CANCELLED = 'CONFIG_DATABASES_REDIS_SENTINEL_AUTODISCOVERY_CANCELLED',
  CONFIG_DATABASES_GET_REDIS_CLOUD_ACCOUNT_CLICKED = 'CONFIG_DATABASES_GET_REDIS_CLOUD_ACCOUNT_CLICKED',
  CREATE_FREE_CLOUD_DATABASE_CLICKED = 'CREATE_FREE_CLOUD_DATABASE_CLICKED',

  BUILD_FROM_SOURCE_CLICKED = 'BUILD_FROM_SOURCE_CLICKED',
  BUILD_USING_DOCKER_CLICKED = 'BUILD_USING_DOCKER_CLICKED',
  BUILD_USING_HOMEBREW_CLICKED = 'BUILD_USING_HOMEBREW_CLICKED',

  BROWSER_KEY_ADD_BUTTON_CLICKED = 'BROWSER_KEY_ADD_BUTTON_CLICKED',
  BROWSER_KEY_ADD_CANCELLED = 'BROWSER_KEY_ADD_CANCELLED',
  BROWSER_KEY_DELETE_CLICKED = 'BROWSER_KEY_DELETE_CLICKED',
  BROWSER_KEY_LIST_REFRESH_CLICKED = 'BROWSER_KEY_LIST_REFRESH_CLICKED',
  BROWSER_KEY_DETAILS_REFRESH_CLICKED = 'BROWSER_KEY_DETAILS_REFRESH_CLICKED',
  BROWSER_KEY_VALUE_REMOVE_CLICKED = 'BROWSER_KEY_VALUE_REMOVE_CLICKED',
  BROWSER_KEY_ADD_VALUE_CLICKED = 'BROWSER_KEY_ADD_VALUE_CLICKED',
  BROWSER_KEY_ADD_VALUE_CANCELLED = 'BROWSER_KEY_ADD_VALUE_CANCELLED',
  BROWSER_KEY_COPIED = 'BROWSER_KEY_COPIED',
  BROWSER_JSON_KEY_EXPANDED = 'BROWSER_JSON_KEY_EXPANDED',
  BROWSER_JSON_KEY_COLLAPSED = 'BROWSER_JSON_KEY_COLLAPSED',
  BROWSER_KEY_ADDED = 'BROWSER_KEY_ADDED',
  BROWSER_KEY_VALUE_FILTERED = 'BROWSER_KEY_VALUE_FILTERED',
  BROWSER_KEY_TTL_CHANGED = 'BROWSER_KEY_TTL_CHANGED',
  BROWSER_KEY_VALUE_ADDED = 'BROWSER_KEY_VALUE_ADDED',
  BROWSER_KEY_VALUE_REMOVED = 'BROWSER_KEY_VALUE_REMOVED',
  BROWSER_KEY_VALUE_EDITED = 'BROWSER_KEY_VALUE_EDITED',
  BROWSER_KEYS_DELETED = 'BROWSER_KEYS_DELETED',
  BROWSER_JSON_PROPERTY_EDITED = 'BROWSER_JSON_PROPERTY_EDITED',
  BROWSER_JSON_PROPERTY_DELETED = 'BROWSER_JSON_PROPERTY_DELETED',
  BROWSER_JSON_PROPERTY_ADDED = 'BROWSER_JSON_PROPERTY_ADDED',
  BROWSER_KEYS_SCANNED = 'BROWSER_KEYS_SCANNED',
  BROWSER_KEYS_ADDITIONALLY_SCANNED = 'BROWSER_KEYS_ADDITIONALLY_SCANNED',
  BROWSER_KEYS_SCANNED_WITH_FILTER_ENABLED = 'BROWSER_KEYS_SCANNED_WITH_FILTER_ENABLED',

  CLI_OPENED = 'CLI_OPENED',
  CLI_CLOSED = 'CLI_CLOSED',
  CLI_MINIMIZED = 'CLI_MINIMIZED',
  CLI_COMMAND_SUBMITTED = 'CLI_COMMAND_SUBMITTED',
  COMMAND_HELPER_OPENED = 'COMMAND_HELPER_OPENED',
  COMMAND_HELPER_CLOSED = 'COMMAND_HELPER_CLOSED',
  COMMAND_HELPER_MINIMIZED = 'COMMAND_HELPER_MINIMIZED',
  COMMAND_HELPER_INFO_DISPLAYED_FOR_CLI_INPUT = 'COMMAND_HELPER_INFO_DISPLAYED_FOR_CLI_INPUT',
  COMMAND_HELPER_COMMAND_FILTERED = 'COMMAND_HELPER_COMMAND_FILTERED',
  COMMAND_HELPER_COMMAND_OPENED = 'COMMAND_HELPER_COMMAND_OPENED',

  SETTINGS_COLOR_THEME_CHANGED = 'SETTINGS_COLOR_THEME_CHANGED',

  WORKBENCH_ENABLEMENT_AREA_GUIDE_OPENED = 'WORKBENCH_ENABLEMENT_AREA_GUIDE_OPENED',
  WORKBENCH_ENABLEMENT_AREA_COMMAND_CLICKED = 'WORKBENCH_ENABLEMENT_AREA_COMMAND_CLICKED',
  WORKBENCH_ENABLEMENT_AREA_LINK_CLICKED = 'WORKBENCH_ENABLEMENT_AREA_LINK_CLICKED',
  WORKBENCH_COMMAND_SUBMITTED = 'WORKBENCH_COMMAND_SUBMITTED',

  WORKBENCH_COMMAND_COPIED = 'WORKBENCH_COMMAND_COPIED',
  WORKBENCH_COMMAND_RUN_AGAIN = 'WORKBENCH_COMMAND_RUN_AGAIN',
  WORKBENCH_COMMAND_DELETE_COMMAND = 'WORKBENCH_COMMAND_DELETE_COMMAND',
  WORKBENCH_RESULTS_IN_FULL_SCREEN = 'WORKBENCH_RESULTS_IN_FULL_SCREEN',
  WORKBENCH_RESULTS_COLLAPSED = 'WORKBENCH_RESULTS_COLLAPSED',
  WORKBENCH_RESULTS_EXPANDED = 'WORKBENCH_RESULTS_EXPANDED',
  WORKBENCH_RESULT_VIEW_CHANGED = 'WORKBENCH_RESULT_VIEW_CHANGED',

  PROFILER_OPENED = 'PROFILER_OPENED',
  PROFILER_STARTED = 'PROFILER_STARTED',
  PROFILER_STOPPED = 'PROFILER_STOPPED',
  PROFILER_PAUSED = 'PROFILER_PAUSED',
  PROFILER_RESUMED = 'PROFILER_RESUMED',
  PROFILER_CLEARED = 'PROFILER_CLEARED',
  PROFILER_CLOSED = 'PROFILER_CLOSED',
  PROFILER_MINIMIZED = 'PROFILER_MINIMIZED',

  TREE_VIEW_OPENED = 'TREE_VIEW_OPENED',
  TREE_VIEW_KEY_ADD_BUTTON_CLICKED = 'TREE_VIEW_KEY_ADD_BUTTON_CLICKED',
  TREE_VIEW_KEY_ADD_CANCELLED = 'TREE_VIEW_KEY_ADD_CANCELLED',
  TREE_VIEW_KEY_VALUE_FILTERED = 'TREE_VIEW_KEY_VALUE_FILTERED',
  TREE_VIEW_KEY_TTL_CHANGED = 'TREE_VIEW_KEY_TTL_CHANGED',
  TREE_VIEW_KEY_ADD_VALUE_CLICKED = 'TREE_VIEW_KEY_ADD_VALUE_CLICKED',
  TREE_VIEW_KEY_ADD_VALUE_CANCELLED = 'TREE_VIEW_KEY_ADD_VALUE_CANCELLED',
  TREE_VIEW_KEY_VALUE_ADDED = 'TREE_VIEW_KEY_VALUE_ADDED',
  TREE_VIEW_KEY_VALUE_REMOVE_CLICKED = 'TREE_VIEW_KEY_VALUE_REMOVE_CLICKED',
  TREE_VIEW_KEY_DELETE_CLICKED = 'TREE_VIEW_KEY_DELETE_CLICKED',
  TREE_VIEW_KEY_LIST_REFRESH_CLICKED = 'TREE_VIEW_KEY_LIST_REFRESH_CLICKED',
  TREE_VIEW_KEY_DETAILS_REFRESH_CLICKED = 'TREE_VIEW_KEY_DETAILS_REFRESH_CLICKED',
  TREE_VIEW_KEY_VALUE_REMOVED = 'TREE_VIEW_KEY_VALUE_REMOVED',
  TREE_VIEW_KEY_VALUE_EDITED = 'TREE_VIEW_KEY_VALUE_EDITED',
  TREE_VIEW_KEYS_DELETED = 'TREE_VIEW_KEYS_DELETED',
  TREE_VIEW_KEY_COPIED = 'TREE_VIEW_KEY_COPIED',
  TREE_VIEW_JSON_KEY_EXPANDED = 'TREE_VIEW_JSON_KEY_EXPANDED',
  TREE_VIEW_JSON_KEY_COLLAPSED = 'TREE_VIEW_JSON_KEY_COLLAPSED',
  TREE_VIEW_JSON_PROPERTY_EDITED = 'TREE_VIEW_JSON_PROPERTY_EDITED',
  TREE_VIEW_JSON_PROPERTY_DELETED = 'TREE_VIEW_JSON_PROPERTY_DELETED',
  TREE_VIEW_JSON_PROPERTY_ADDED = 'TREE_VIEW_JSON_PROPERTY_ADDED',
  TREE_VIEW_KEYS_SCANNED_WITH_FILTER_ENABLED = 'TREE_VIEW_KEYS_SCANNED_WITH_FILTER_ENABLED',
  TREE_VIEW_KEYS_SCANNED = 'TREE_VIEW_KEYS_SCANNED',
  TREE_VIEW_KEYS_ADDITIONALLY_SCANNED = 'TREE_VIEW_KEYS_ADDITIONALLY_SCANNED',
  TREE_VIEW_DELIMITER_CHANGED = 'TREE_VIEW_DELIMITER_CHANGED',
  TREE_VIEW_KEY_ADDED = 'TREE_VIEW_KEY_ADDED',
}
